Bug 43897 - chart contains unwanted blocks till "reset all data points"
Summary: chart contains unwanted blocks till "reset all data points"
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
3.4.4 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Chart
  Show dependency treegraph
 
Reported: 2011-12-16 11:12 UTC by jkonecny
Modified: 2019-12-03 13:59 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
This the presentation file that demonstrates the problem (22.85 KB, application/vnd.oasis.opendocument.presentation)
2011-12-16 11:12 UTC, jkonecny
Details
This shows the unwanted grey blocks (205.06 KB, image/jpeg)
2011-12-16 11:12 UTC, jkonecny
Details
This shows the screen after "reset all data points" has been clicked (196.71 KB, image/jpeg)
2011-12-16 11:13 UTC, jkonecny
Details
resaved by msPP 2007, as example of bad but quick workaround (53.24 KB, application/vnd.oasis.opendocument.presentation)
2012-03-30 07:00 UTC, sasha.libreoffice
Details
screen shot of from attachment 59273 when opened with 3.5.2.2 (127.27 KB, image/jpeg)
2012-03-30 07:04 UTC, jkonecny
Details
bad chart display in Impress (123.57 KB, image/png)
2014-10-21 13:24 UTC, Alex Thurgood
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jkonecny 2011-12-16 11:12:01 UTC
Created attachment 54511 [details]
This the presentation file that demonstrates the problem

A chart created with Presentation has large grey blocks in the upper left portion of the display.  They persist until the user clicks "reset all data points".  I am attaching the presentation file and a before and after "reset all data points" screenshot.  I've circled the blocks with green in the "before" screenshot.   I have searched for what "reset all data points" does and cannot find any mention of it.  It's nice that "reset all data points" fixes it however it's seems unnecessary to display the grey blocks whether the data points are fixed or not.
Comment 1 jkonecny 2011-12-16 11:12:48 UTC
Created attachment 54512 [details]
This shows the unwanted grey blocks
Comment 2 jkonecny 2011-12-16 11:13:36 UTC
Created attachment 54513 [details]
This shows the screen after "reset all data points" has been clicked
Comment 3 sasha.libreoffice 2012-03-30 06:16:29 UTC
Thanks for bugreport
reproduced in 3.3.4 and 3.5.1 on Fedora 64 bit and in 3.4.3 on Windows XP 32 bit

Inside of presentation Chart saved in the directory "ObjectReplacements" as an binary file which contains "VCLMTF". The binary file containing the VCLMTF string is a StarView Meta file.

If I extract this file and open by LibreOffice, it looks like on first screenshot. Therefore this file contains problem. IMHO after "reset all data points" this file re-generated with no error.

msOffice 2007 opens attached odp file without problem. IMHO it not uses this strange file and therefore opens correctly.

@ jkonecny@rmtohio.com
Sorry, I can not find "reset all data points". Where I can find it?
And how created this presentation? If problem appears with newly created presentation, please, provide step-by-step instructions how to reproduce this problem.
Comment 4 jkonecny 2012-03-30 06:35:30 UTC
To access "Reset all data points" you need to double click the Chart to get into edit mode.  Then right click on the data series represented by the line "Wood" and then you will see "Reset all data points" in the pop-up menu.  "Reset all data points" appears in the right click menu until you click it and then it disappears.  I'm really not sure what it does but it fixes it.  This presentation file was originally created by an unknown version of OpenOffice.  It has been used with various versions of OpenOffice and now with various versions of LibreOffice.  I have no idea on how to make it happen from a fresh chart.  Data was added to this chart over a period of time and various format changes were made I am sure.  Sorry I cannot give the steps to recreate the problem.  It did not appear for quite some time after the creation.
Comment 5 sasha.libreoffice 2012-03-30 06:58:08 UTC
Thanks for explanations. I found this reset. Nothing happens in my case.
IMHO problem is inside of presentation, not in Impress. We need somebody with better knowledge of Impress than me.

Currently, if You have only one presentation with this problem, it is more simply to re-create it from scratch. If exist many such presentations, we need some trick to fix them. For example save to another format and reload or open by another program and save again. I dislike these variants, but can not invent something better.
Comment 6 sasha.libreoffice 2012-03-30 07:00:09 UTC
Created attachment 59273 [details]
resaved by msPP 2007, as example of bad but quick workaround
Comment 7 sasha.libreoffice 2012-03-30 07:02:14 UTC
IMHO saving into FODT format by Impress and reloading works well.
Comment 8 sasha.libreoffice 2012-03-30 07:03:10 UTC
I mean FODP format
Comment 9 jkonecny 2012-03-30 07:04:48 UTC
Created attachment 59274 [details]
screen shot of from attachment 59273 [details] when opened with 3.5.2.2

I loaded attachment 59273 [details] and the results look poor under 3.5.2.2.
Comment 10 sasha.libreoffice 2012-03-30 07:16:24 UTC
Thanks for screenshot. It is regression of 3.5 version of LibreOffice
In 3.3.4 and 3.4.3 it opens correctly
Sorry for such situation. And how about saving into Flat ODP?
Comment 11 jkonecny 2012-03-30 07:21:26 UTC
FODP seems to solve the problem.
Comment 12 bfoman (inactive) 2012-07-06 06:23:37 UTC
Confirmed with:
LO 3.5.5.3 
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit

Reset all data points fixes the presentation. Saving as fodp also.
Another thing is that when I open this presentation a rectangular box under Yr/Yr is presented. It is missing from the screenshots.
Comment 13 jkonecny 2014-10-21 12:39:50 UTC
We've switched to msoffice.  Feel free to close this.
Comment 14 Alex Thurgood 2014-10-21 13:23:21 UTC
Even worse now on OSX 10.10 with master 440 alpha, see attached screenshot
Comment 15 Alex Thurgood 2014-10-21 13:24:21 UTC
Created attachment 108172 [details]
bad chart display in Impress
Comment 16 QA Administrators 2015-12-20 16:12:53 UTC Comment hidden (obsolete)
Comment 17 Alex Thurgood 2015-12-21 08:35:30 UTC
Confirming also in

ersion: 5.2.0.0.alpha0+
Build ID: ce3d3f5543e3e132a3473af27aa2c827336add0f
CPU Threads: 2; OS Version: -; UI Render: default; 
Locale : fr-FR (fr.UTF-8)

it really does look bad, not surprising the original poster switched to MSO
Comment 18 QA Administrators 2017-01-03 19:57:47 UTC Comment hidden (obsolete)
Comment 19 QA Administrators 2019-12-03 13:59:26 UTC
Dear jkonecny,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug